// creator  : weidu.exe (version 23100)
// argument : _CORY.DLG
// game		 : .
// source	 : ./override/_CORY.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_CORY~

IF ~NumberOfTimesTalkedTo(0)
GlobalLT("Chapter","GLOBAL",3)
~ THEN BEGIN 0 // from:
  SAY #77336 /* ~What is it you want, can't you see I'm a busy man?!~ */
  IF ~~ THEN REPLY #77337 /* ~I've heard that there have been problems with the mine recently. I'm here to try to help.~ */ GOTO 1
  IF ~~ THEN REPLY #34309 /* ~Sorry to bother you.~ */ GOTO 5
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #77338 /* ~Hmph. I don't know what you can do about it. Sure there have been problems, the ore that we've been pulling outta this place has been crumbling almost as soon as it's cast.~ */
  IF ~~ THEN REPLY #77339 /* ~And what about the miners?~ */ GOTO 2
  IF ~~ THEN REPLY #77340 /* ~Do you know what's been weakening the ore?~ */ GOTO 3
  IF ~~ THEN REPLY #77341 /* ~Have you heard anything about creatures in the mines?~ */ GOTO 4
END

IF ~~ THEN BEGIN 2 // from: 1.0
  SAY #77342 /* ~They keep disappearing one by one. I'm missing four right now. In the last few weeks alone we've buried at least five others.~ */
  IF ~~ THEN DO ~EscapeArea()
~ UNSOLVED_JOURNAL #77327 /* ~Investigating the Nashkel mines

Something is killing the miners in the Nashkel mines.~ */ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1
  SAY #77343 /* ~If I knew that we would have already fixed it!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 1.2
  SAY #77344 /* ~Oh, the miners talk. They'll tell you stories about evil creatures and how the whole place is haunted. I don't believe any of it. Poor maggots are probably just getting lost in the dark if ya ask me.~ */
  IF ~~ THEN DO ~EscapeArea()
~ UNSOLVED_JOURNAL #77313 /* ~Investigating the Nashkel mines

The miners talk of evil creatures in the lower levels.~ */ EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.1
  SAY #77345 /* ~Try to keep from bothering the miners, they got a lot of work to do.  Got that!~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~True()
~ THEN BEGIN 6 // from:
  SAY #74685 /* ~Leave us be, there is much work to be done.~ */
  IF ~~ THEN EXIT
END
